<ion-header>
    <ion-navbar color="primary">
        <ion-title>
            Create an Account
        </ion-title>
    </ion-navbar>
</ion-header>
<ion-content padding>
    <ion-item class="image">
        <img src="img/student.png" class="img" />
    </ion-item>
    <p *ngIf="submitAttempt" style="color: #ea6153;">Please fill out all details accurately.</p>
    <ion-list no-lines>
        <form [formGroup]="signupForm">
            <ion-item>
                <ion-label floating>UserName</ion-label>
                <ion-input formControlName="email" type="text" [class.invalid]="!signupForm.controls.email.valid && (signupForm.controls.email.dirty || submitAttempt)"></ion-input>
            </ion-item>
            <ion-item *ngIf="!signupForm.controls.email.valid  && (signupForm.controls.email.dirty || submitAttempt)">
                <p>Please enter a valid name.</p>
            </ion-item>
            <ion-item>
                <ion-label floating>Password</ion-label>
                <ion-input type="password" formControlName="password" [class.invalid]="!signupForm.controls.password.valid && (signupForm.controls.password.dirty || submitAttempt)">
                </ion-input>
            </ion-item>
            <ion-item *ngIf="!signupForm.controls.password.valid  && (signupForm.controls.password.dirty || submitAttempt)">
                <p>Please enter a valid password.</p>
            </ion-item>
             <ion-item>
                <ion-label floating>Confirm Password</ion-label>
                <ion-input type="password" formControlName="cpassword" [class.invalid]="!signupForm.controls.cpassword.valid && (signupForm.controls.cpassword.dirty || submitAttempt)">
                </ion-input>
            </ion-item>
            <ion-item *ngIf="!signupForm.controls.cpassword.valid  && (signupForm.controls.cpassword.dirty || submitAttempt)">
                <p>Password Mismatched</p>
            </ion-item>
        </form>
    </ion-list>
    <button ion-button block (click)="signupUser()">SIGN UP</button>
    <ion-item class="info">
        <h1>OR</h1>
        <br>
        <h2>Sign Up with</h2>
    </ion-item>
    <button ion-button block class="facebook" (click)="fb()">facebook
        <ion-icon name="logo-facebook"></ion-icon>
    </button>
    <button ion-button block class="google" (click)="google()">google
        <ion-icon name="logo-google"></ion-icon>
    </button>
    <ion-item class="info">
        <h3>Dont have an account yet?</h3>
        <br>
        <h1 (click)="loginUser()" style="color: #387ef5">LOGIN</h1>
    </ion-item>
  
</ion-content>
